mdc.h File Reference

Classes for the MDC message digest. More...

Go to the source code of this file.

## Classes

struct | MDC_Info< B >
| MDC_Info cipher information. More...
class | MDC< H >
| MDC cipher. More...

## Macros

#define | HashWordPtr(x)
#define | ConstHashWordPtr(x)

## Detailed Description

Classes for the MDC message digest.

Definition in file mdc.h.

## Macro Definition Documentation

## HashWordPtr

#define HashWordPtr | ( |  | x | ) |

Value:
((HashWordType*)(void*)(x))

Definition at line 14 of file mdc.h.

## ConstHashWordPtr

#define ConstHashWordPtr | ( |  | x | ) |

Value:
((const HashWordType*)(const void*)(x))

Definition at line 15 of file mdc.h.